0

I am getting this error when running ffmpeg on OSX Yosemite 10.10.2

ffmpeg
dyld: Library not loaded: /usr/local/lib/libmp3lame.0.dylib
  Referenced from: /usr/local/bin/ffmpeg
  Reason: image not found
Trace/BPT trap: 5

How do I install / compile libmp3lame.0.dylib ? ffmpeg was installed using homebrew

3 Answers 3

3

I resolved this by running the following commands in terminal (I use the package manager homebrew for managing Unix based tools under OSX)

brew uninstall lame
brew install lame
sudo brew link lame
4
  • 1
    The quality of this answer is very low. Please improve it by including some content such as steps or details how this is the proper answer.
    – CharlieRB
    Feb 13, 2015 at 13:46
  • 2
    You should not need sudo for this and Homebrew should have refused to work with sudo. I think the linking step isn't even required.
    – slhck
    Feb 13, 2015 at 17:06
  • 2
    brew uninstall lame failed because I already had ffmpeg installed. It told me I had to do brew uninstall --ignore-dependencies lame which I did, and then brew install lame and it worked fine. I did not need to use sudo.
    – tom
    Nov 9, 2017 at 11:36
  • 1
    didn't help....
    – Alexey Sh.
    Nov 9, 2019 at 20:52
0

If ffmpeg was installed using Homebrew, I suppose libmp3lame was also installed using Homebrew. Probably some links were lost during OS X upgrade.

Try relinking libmp3lame running

brew unlink lame && brew link lame
0

I was able to resolve this issue by uninstalling Anaconda. My error had an extra message that referenced a system path involving Anaconda. I had the library already installed in both the Anaconda environment and the System environment. However, I think that the Anaconda installation was corrupted and was causing the error.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.